Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryPostal

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryPostal

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryPostal

extends java.lang.Object
implements EPPCodecComponent

Represents the postal-address information policy information. The <registry:postalInfo> element contains the following child elements:

- <registry:name> - The minimum and maximum length of <contact:name> element defined RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.
- <registry:org> - The minimum and maximum length of the <contact:org> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.
- <registry:address> - The address information policy information.
- <registry:voiceRequired> - An OPTIONAL boolean flag indicating whether the server requires the <contact:voice> element to be defined, with a default value of "false".
- <registry:voiceExt> - The OPTIONAL minimum and maximum length of the <contact:voice> extension "x" attribute defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.
- <registry:faxExt> - The OPTIONAL minimum and maximum length of the <contact:fax> extension "x" attribute defined in RFC 5733 [RFC5733] using the <registry:minLength> and <registry:maxLength> child elements, respectively.
- <registry:emailRegex> - Zero or more <registry:emailRegex> elements that define the regular expressions used to validate the <contact:email> element defined in RFC 5733

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryContact`, `EPPRegistryContactName`, `EPPRegistryContactOrg`, `EPPRegistryContactAddress`, `EPPRegistryMinMaxLength`, `EPPRegistryRegex`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_EMAIL_REGEX`
`static java.lang.String` | `ELM_FAX_EXT` Constant for the faxExt local name
`static java.lang.String` | `ELM_LOCALNAME` Constant for the local name
`static java.lang.String` | `ELM_NAME` Constant for the prefix and local name
`static java.lang.String` | `ELM_VOICE_EXT` Constant for the voiceExt local name
`static java.lang.String` | `ELM_VOICE_REQUIRED`

Constructor Summary
`EPPRegistryPostal()`

Method Summary
`void` | `addEmailRegex(EPPRegistryRegex re)` Adds one email regular expression to an existing list.
`java.lang.Object` | `clone()` Clone `EPPRegistryPostal`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryPostal` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryPostal` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryPostal` compare.
`EPPRegistryContactAddress` | `getAddress()` Gets address.
`java.util.List` | `getEmailRegex()` Gets email regular expression.
`EPPRegistryMinMaxLength` | `getFaxExt()` Gets the optional fax extension minimum and maximum length.
`EPPRegistryContactName` | `getName()` Gets the minimum and maximum length of name.
`EPPRegistryContactOrg` | `getOrg()` Gets the minimum and maximum length of organization.
`EPPRegistryMinMaxLength` | `getVoiceExt()` Gets the optional voice extension minimum and maximum length.
`java.lang.Boolean` | `getVoiceRequired()` Gets voice required flag.
`void` | `setAddress(EPPRegistryContactAddress address)` Sets address.
`void` | `setEmailRegex(java.util.List emailRegex)` Sets email regular expression.
`void` | `setFaxExt(EPPRegistryMinMaxLength aFaxExt)` Sets the optional fax extension minimum and maximum length.
`void` | `setName(EPPRegistryContactName name)` Sets the minimum and maximum length of name.
`void` | `setOrg(EPPRegistryContactOrg org)` Sets the minimum and maximum length of organization.
`void` | `setVoiceExt(EPPRegistryMinMaxLength aVoiceExt)` Sets the optional voice extension minimum and maximum length.
`void` | `setVoiceRequired(java.lang.Boolean voiceRequired)` Sets voice required flag.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the prefix and local name

  See Also:
    Constant Field Values

### ELM_VOICE_REQUIRED

    public static final java.lang.String ELM_VOICE_REQUIRED

See Also:
  Constant Field Values

### ELM_EMAIL_REGEX

    public static final java.lang.String ELM_EMAIL_REGEX

See Also:
  Constant Field Values

### ELM_VOICE_EXT

    public static final java.lang.String ELM_VOICE_EXT

  Constant for the voiceExt local name

  See Also:
    Constant Field Values

### ELM_FAX_EXT

    public static final java.lang.String ELM_FAX_EXT

  Constant for the faxExt local name

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryPostal

    public EPPRegistryPostal()

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistryPostal` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPRegistryPostal` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPRegistryPostal` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPRegistryPostal` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistryPostal` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistryPostal`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRegistryPostal`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRegistryPostal` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRegistryPostal` instance to compare with
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getName

    public EPPRegistryContactName getName()

  Gets the minimum and maximum length of name.

  Returns:
    `EPPRegistryContactName` instance that contains min/max length of contact name

### setName

    public void setName(EPPRegistryContactName name)

  Sets the minimum and maximum length of name.

  Parameters:
    `name` - `EPPRegistryContactName` instance that contains min/max length of contact name

### getOrg

    public EPPRegistryContactOrg getOrg()

  Gets the minimum and maximum length of organization.

  Returns:
    `EPPRegistryContactOrg` instance that contains min/max length of contact organization

### setOrg

    public void setOrg(EPPRegistryContactOrg org)

  Sets the minimum and maximum length of organization.

  Parameters:
    `org` - `EPPRegistryContactOrg` instance that contains min/max length of contact organization

### getAddress

    public EPPRegistryContactAddress getAddress()

  Gets address.

  Returns:
    `EPPRegistryContactAddress` instance that contains contact address attributes

### setAddress

    public void setAddress(EPPRegistryContactAddress address)

  Sets address.

  Parameters:
    `address` - `EPPRegistryContactAddress` instance that contains contact address attributes

### getVoiceRequired

    public java.lang.Boolean getVoiceRequired()

  Gets voice required flag.

  Returns:
    `true` if voice is required. `false` otherwise.

### setVoiceRequired

    public void setVoiceRequired(java.lang.Boolean voiceRequired)

  Sets voice required flag.

  Parameters:
    `voiceRequired` - `true` if voice is required. `false` otherwise.

### getVoiceExt

    public EPPRegistryMinMaxLength getVoiceExt()

  Gets the optional voice extension minimum and maximum length.

  Returns:
    `EPPRegistryMinMaxLength` instance containing the minimum and maximum length if defined; `null` otherise.

### setVoiceExt

    public void setVoiceExt(EPPRegistryMinMaxLength aVoiceExt)

  Sets the optional voice extension minimum and maximum length.

  Parameters:
    `aVoiceExt` - `EPPRegistryMinMaxLength` instance containing the minimum and maximum length.

### getFaxExt

    public EPPRegistryMinMaxLength getFaxExt()

  Gets the optional fax extension minimum and maximum length.

  Returns:
    `EPPRegistryMinMaxLength` instance containing the minimum and maximum length if defined; `null` otherise.

### setFaxExt

    public void setFaxExt(EPPRegistryMinMaxLength aFaxExt)

  Sets the optional fax extension minimum and maximum length.

  Parameters:
    `aFaxExt` - `EPPRegistryMinMaxLength` instance containing the minimum and maximum length.

### getEmailRegex

    public java.util.List getEmailRegex()

  Gets email regular expression.

  Returns:
    regular expression used to validate <contact:email> element defined in RFC 5733

### addEmailRegex

    public void addEmailRegex(EPPRegistryRegex re)

  Adds one email regular expression to an existing list.

  Parameters:
    `re` - regular expression used to validate <contact:email> element defined in RFC 5733

### setEmailRegex

    public void setEmailRegex(java.util.List emailRegex)

  Sets email regular expression.

  Parameters:
    `emailRegex` - regular expression used to validate <contact:email> element defined in RFC 5733

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.